From 3de415393e4484324f331ccb86cd1aacbb3892ad Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Tue, 19 Jan 2021 12:43:48 +0000
Subject: [PATCH 1/7] gnu: aws-c-common: Update to 0.5.2.

* gnu/packages/c.scm (aws-c-common): Update to 0.5.2.
[arguments]: Build as shared library.
---
 gnu/packages/c.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index 7d8d41d266..75fa6460be 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -10,7 +10,7 @@
 ;;; Copyright © 2020 Marius Bakke <marius@gnu.org>
 ;;; Copyright © 2020 Katherine Cox-Buday <cox.katherine.e@gmail.com>
 ;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@gmail.com>
-;;; Copyright © 2020 Greg Hogan <code@greghogan.com>
+;;; Copyright © 2020, 2021 Greg Hogan <code@greghogan.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -545,7 +545,7 @@ portability.")
 (define-public aws-c-common
   (package
     (name "aws-c-common")
-    (version "0.4.63")
+    (version "0.5.2")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -554,8 +554,11 @@ portability.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "16bc6fn1gq3nqcrzgpi2kjphq7xkkr73aljakrg89ysm6hyzyim9"))))
+                "0rd2qzaa9mmn5f6f2bl1wgv54f17pqx3vwyy9f8ylh59qfnilpmg"))))
     (build-system cmake-build-system)
+    (arguments
+     '(#:configure-flags
+       '("-DBUILD_SHARED_LIBS=ON")))
     (synopsis "Amazon Web Services core C library")
     (description
      "This library provides common C99 primitives, configuration, data
-- 
2.30.2

